From 782eaf92b953cba75f75fb22d96d30fd2022ccb3 Mon Sep 17 00:00:00 2001
From: Upgrade Helper <auh@yoctoproject.org>
Date: Mon, 18 Nov 2024 17:56:36 +0000
Subject: [PATCH] npth: upgrade 1.7 -> 1.8

---
 meta/recipes-support/npth/npth/musl-fix.patch | 37 -------------------
 .../npth/{npth_1.7.bb => npth_1.8.bb}         |  6 +--
 2 files changed, 2 insertions(+), 41 deletions(-)
 delete mode 100644 meta/recipes-support/npth/npth/musl-fix.patch
 rename meta/recipes-support/npth/{npth_1.7.bb => npth_1.8.bb} (73%)

diff --git a/meta/recipes-support/npth/npth/musl-fix.patch b/meta/recipes-support/npth/npth/musl-fix.patch
deleted file mode 100644
index fabe78b14c..0000000000
--- a/meta/recipes-support/npth/npth/musl-fix.patch
+++ /dev/null
@@ -1,37 +0,0 @@
-From 417abd56fd7bf45cd4948414050615cb1ad59134 Mon Sep 17 00:00:00 2001
-From: NIIBE Yutaka <gniibe@fsij.org>
-Date: Fri, 1 Mar 2024 13:53:52 +0900
-Subject: [PATCH] Fix INSERT_EXPOSE_RWLOCK_API for musl C library.
-
-* configure.ac: Add a case for musl system.
-
-Upstream-Status: Backport [https://git.gnupg.org/cgi-bin/gitweb.cgi?p=npth.git;a=commit;h=417abd56fd7bf45cd4948414050615cb1ad59134]
-Signed-off-by: Alexander Kanavin <alex@linutronix.de>
---
-
-GnuPG-bug-id: 5664
-Signed-off-by: NIIBE Yutaka <gniibe@fsij.org>
----
- configure.ac | 5 ++++-
- 1 file changed, 4 insertions(+), 1 deletion(-)
-
-diff --git a/configure.ac b/configure.ac
-index c1091b1..576a26e 100644
---- a/configure.ac
-+++ b/configure.ac
-@@ -381,7 +381,10 @@ fi
- AC_SUBST(INSERT_NO_RWLOCK)
- 
- case "${host}" in
--    *-*-linux*|*-*-gnu*)
-+    *-*-linux-musl*)
-+        INSERT_EXPOSE_RWLOCK_API="1"
-+        ;;
-+    *-*-linux-gnu*|*-*-gnu*)
-         INSERT_EXPOSE_RWLOCK_API="defined(__USE_UNIX98) || defined(__USE_XOPEN2K)"
-         ;;
-     *)
--- 
-2.30.2
-
-
diff --git a/meta/recipes-support/npth/npth_1.7.bb b/meta/recipes-support/npth/npth_1.8.bb
similarity index 73%
rename from meta/recipes-support/npth/npth_1.7.bb
rename to meta/recipes-support/npth/npth_1.8.bb
index 0cf35565a3..a354af2a7c 100644
--- a/meta/recipes-support/npth/npth_1.7.bb
+++ b/meta/recipes-support/npth/npth_1.8.bb
@@ -6,11 +6,9 @@ LICENSE = "LGPL-2.0-or-later"
 LIC_FILES_CHKSUM = "file://COPYING.LIB;md5=2caced0b25dfefd4c601d92bd15116de"
 UPSTREAM_CHECK_URI = "https://gnupg.org/download/index.html"
 
-SRC_URI = "${GNUPG_MIRROR}/npth/npth-${PV}.tar.bz2 \
-           file://musl-fix.patch \
-           "
+SRC_URI = "${GNUPG_MIRROR}/npth/npth-${PV}.tar.bz2"
 
-SRC_URI[sha256sum] = "8589f56937b75ce33b28d312fccbf302b3b71ec3f3945fde6aaa74027914ad05"
+SRC_URI[sha256sum] = "8bd24b4f23a3065d6e5b26e98aba9ce783ea4fd781069c1b35d149694e90ca3e"
 
 inherit autotools multilib_header
 
-- 
2.44.1

